# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=doxygen
pkgver=1.8.16
pkgrel=0
pkgdesc="A documentation system for C++, C, Java, IDL and PHP"
url="http://www.doxygen.nl/"
arch="all"
license="GPL-2.0-or-later"
checkdepends="libxml2-utils"
makedepends="flex bison coreutils perl python3 cmake"
source="http://doxygen.nl/files/doxygen-$pkgver.src.tar.gz
	doxygen-1.8.14-install.patch
	"

build() {
	cd "$builddir"
	cmake .\
		-DCMAKE_INSTALL_PREFIX=/usr \
		-DCMAKE_BUILD_TYPE=Release \
		-Dbuild_xmlparser=ON
	make
}

check() {
	cd "$builddir"
	# Remove test that use bibtex
	rm -f ./testing/012_cite.dox
	make test
}

package() {
	cd "$builddir"
	make DESTDIR="$pkgdir" install
}

sha512sums="46a0189aa82d5a687bdd99a904f0c061fccca407d15867d14c8c4d13e8b21a8989e7ccd6af30840803b589ed20dd86084a4db880fba0d3bfa1fdcdd8d23e12de  doxygen-1.8.16.src.tar.gz
725a29a6f21ffc8ec6ca8ed6d746a69cc78060e97704c7fe909abee603ba0a99f27dc3b80c414afd886d0ee81d9948b13f29c43f7db2e00aae8c0c3a32aa9ec1  doxygen-1.8.14-install.patch"
